Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class GuardingTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.behaviors.GuardingTestCase

    public class GuardingTestCase

extends AbstractComponentFactoryTest

Author:
  Paul Hammant

Nested Class Summary
`static class` | `GuardingTestCase.MyGuard`

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`GuardingTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `testAddComponentDoesNotUseGuardingBehaviorIfNoProperty()`
`void` | `testAddComponentUsesGuardingBehavior()`
`void` | `testAddComponentUsesGuardingBehaviorByAdapitveDefault()`
`void` | `testAddComponentUsesGuardingBehaviorWithCustomGuardKey()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp, testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuardingTestCase

    public GuardingTestCase()

Method Detail

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testAddComponentUsesGuardingBehavior

    public void testAddComponentUsesGuardingBehavior()

### testAddComponentDoesNotUseGuardingBehaviorIfNoProperty

    public void testAddComponentDoesNotUseGuardingBehaviorIfNoProperty()

### testAddComponentUsesGuardingBehaviorWithCustomGuardKey

    public void testAddComponentUsesGuardingBehaviorWithCustomGuardKey()

### testAddComponentUsesGuardingBehaviorByAdapitveDefault

    public void testAddComponentUsesGuardingBehaviorByAdapitveDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.